Skip to main content
GET
/
hub
/
plan
/
orders
[beta] List orders for a specific plan
curl --request GET \
  --url https://api.samsara.com/hub/plan/orders \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "createdAtTime": "2024-04-10T11:30:00Z",
      "customProperties": [
        {
          "customPropertyId": "750e8400-e29b-41d4-a716-446655440004",
          "name": "CustomerType",
          "value": "Premium"
        }
      ],
      "customerOrderId": "ORDER-2024-001",
      "hubId": "550e8400-e29b-41d4-a716-446655440000",
      "id": "a50e8400-e29b-41d4-a716-446655440006",
      "planId": "650e8400-e29b-41d4-a716-446655440023",
      "priority": 1,
      "quantities": [
        {
          "capacityId": "850e8400-e29b-41d4-a716-446655440003",
          "quantity": 25.5
        }
      ],
      "skillsRequired": [
        "650e8400-e29b-41d4-a716-446655440001",
        "650e8400-e29b-41d4-a716-446655440001",
        "650e8400-e29b-41d4-a716-446655440001",
        "650e8400-e29b-41d4-a716-446655440001"
      ],
      "updatedAtTime": "2024-04-10T11:30:00Z",
      "delivery": {
        "address": "123 Business Way, San Francisco",
        "appointmentWindow": {
          "endTime": "2024-04-10T17:00:00Z",
          "startTime": "2024-04-10T09:00:00Z"
        },
        "customerLocationId": "LOC-123",
        "latitude": 37.7749,
        "longitude": -122.4194,
        "notes": "Use main entrance",
        "position": "first",
        "serviceTimeSeconds": 600
      },
      "pickup": {
        "address": "123 Business Way, San Francisco",
        "appointmentWindow": {
          "endTime": "2024-04-10T17:00:00Z",
          "startTime": "2024-04-10T09:00:00Z"
        },
        "customerLocationId": "LOC-123",
        "latitude": 37.7749,
        "longitude": -122.4194,
        "notes": "Use main entrance",
        "position": "first",
        "serviceTimeSeconds": 600
      },
      "routeId": "950e8400-e29b-41d4-a716-446655440005"
    }
  ],
  "pagination": {
    "hasNextPage": false,
    "endCursor": "YXJyYXljb25uZWN0aW9uOjEwMA=="
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

planId
string
required

The plan identifier

orderIds
string

Comma-separated list of order IDs for filtering.

after
string

If specified, should be the endCursor from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

limit
integer
default:100

Maximum number of objects to return. Default and maximum is 100

Required range: x <= 100

Response

OK response.

data
object[]
required

Order objects

pagination
object
required

Pagination information